<?php
// $Id: 6ga-calendar.php,v 1.8 2010/12/27 22:35:39 hiro Exp $
//
// 6ga-calendar.php
//
//
//
//	Copyright (c) 2005 Hiro Sugawara
//	Licensed under terms of GPL 2.0
//
include('6ga-common.inc');

$dowbase	= 0;
$DNAMES	= array('Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa', 'Su');

function printCal($addMonth = 0) {
	global $dowbase, $DNAMES;

	$now	= localtime(time(), TRUE);
	$today	= $now['tm_mday'];
	$now['tm_mon']	+= $addMonth;
	if ($now['tm_mon'] >= 12) {
		$now['tm_mon'] -= 12;
		$now['tm_year']++;
	}
	$month	= $now['tm_mon'] + 1;
	$year	= $now['tm_year'];
	if (PHP_VERSION_ID >= 50100) {
		$year += 1900;
	}
	$fdom = strftime('%w', mktime(0, 0, 0, $now['tm_mon'] + 1, 1, $year));

	if ($month > 12) {
		$month -= 12;
		$year++;
	}
	$daysinm = strftime('%d', mktime(0, 0, 0, $month + 1, 0, $year));

	if ($addMonth) {
		printf("<TR><TD COLSPAN=7 HEIGHT=10></TD></TR>\n");
	}
	printf("<TR><TH COLSPAN=7 ALIGN='center'>%s</TH></TR>\n",
			strftime('%B %Y', mktime(0, 0, 0, $month, 1, $year)));
	printf("<TR>\n");
	for ($dow = $dowbase; $dow < $dowbase + 7; $dow++) {
		printf("<TH ALIGN='right'>%s</TH>\n", $DNAMES[$dow]);
	}
	printf("</TR>\n");

	$dow	= $dowbase;
	$date	= 1;

	// Reserved variables
	$daytag		= '';
	$daytag_2	= '';
	while ($date <= $daysinm) {
		if ($dow == $dowbase) {
			printf("<TR>\n");
		}
		printf("\t<TD ALIGN='right'>%s", $daytag);
		if ($fdom-- - $dowbase < $date) {
			if (!$addMonth && $today == $date) {
				$uopen	= "<B>";
				$uclose	= "</B>";
			} else {
				$uopen	= "";
				$uclose	= "";
			}
			printf("%s%d%s", $uopen, $date++, $uclose);
		}
		printf("%s</TD>\n", $daytag_2);
		if (++$dow >= $dowbase + 7) {
			$dow	= $dowbase;
			printf("</TR>\n");
		}
	}
	if ($dow) {
		printf("</TR>\n");
	}
}

printDocHeader();
echo <<<END
<HTML>
<HEAD>
<TITLE>
Two-month calendar
</TITLE>
</HEAD>
<BODY BGCOLOR='$bgcolor'>
<TABLE WIDTH=100% CELLSPACING=10>
		<TR><TD><TABLE WIDTH=100% CELLSPACING=0>
END;
	printCal(0);
	printCal(1);
echo <<<END
</TABLE>
</TD></TR></TABLE>
</BODY>
</HTML>
END;
?>
